﻿var SerUrlDomain = "http://50.63.160.74/Services/";

$(document).ready(function(){	
	fnAutoLogin();
})

// for user login
function fnLogIn() {
    if ($('#UsrName').val().trim() != "" && $('#UsrPwd').val().trim() != "") {

        if ((fnValidateNumber($('#UsrName')) || fnValidateEmail($('#UsrName'))) && fnCheckPassword($('#UsrPwd'))) {
            var UsrIdType = 'E';
            if (fnValidateNumber($('#UsrName'))) {
                UsrIdType = 'M';
            }
            else {
                UsrIdType = 'E';
            }
            var objProcData = { ProcedureName: "Fcr_Prc_UsrProc", PrcParams: ['LoginUser', '{"UsrId":"' + $('#UsrName').val() + '","UsrPwd":"' + $('#UsrPwd').val() + '","UsrIdType":"' + UsrIdType + '"}'] }
            fnCallWebService("", objProcData, fnSuccessLogin, "MULTI")

        }
        else if ((fnValidateNumber($('#UsrName')) == false)) {
            if (fnValidateEmail($('#UsrName')) == false) {
                //alert('Invalid Mobile / Email ')
                fnAlert("warning", "Invalid Mobile / Email");
            }
        }
        else {
            fnAlert("warning", 'Invalid Mobile / Email ')
        }
    }
    else if ($('#UsrName').val().trim() == "" || fnValidateNumber($('#UsrName')) == false) {
        if (fnValidateEmail($('#UsrName')) == false) {
            fnAlert("warning", 'Invalid Mobile / Email ')
            $('#UsrName').focus();
        }
    }
    else if ($('#UsrPwd').val().trim() == "") {
        fnAlert("warning", 'Enter password.');
    }
}

function fnSuccessLogin(val) {
    try {
        var RegData = JSON.parse(val);
        if (RegData.status) {
            var regResult;
            if (RegData.resultCount == 1) {
                regResult = JSON.parse(RegData['result']);
            }
            else {
                regResult = JSON.parse(RegData['result_1']);
            }
            
            if (regResult[0]['STATUS'] == 0) {
                var userInfo = JSON.parse(RegData['result_2']);
                var repo = window.localStorage;
                repo.setItem('UserInfo', JSON.stringify(userInfo));
                repo.setItem('UserLogIn', true);
                window.location.href = "./index.html";
            }
            else {
                fnAlert("warning",regResult[0]['MESSAGE'])
            }
        }
    }
    catch (err) {
        fnAlert("warning",err)
    }
}
// for user registering through mail or mobile only
function fnRegsiter() {

    if ($('#NewUsrNm').val().trim() != "" && $('#NewUsrPwd').val().trim() != "") {

        if ((fnValidateNumber($('#NewUsrNm')) || fnValidateEmail($('#NewUsrNm'))) && fnCheckPassword($('#NewUsrPwd'))) {
            var UsrIdType = 'E';
            if (fnValidateNumber($('#NewUsrNm'))) {
                UsrIdType = 'M';
            }
            else {
                UsrIdType = 'E';
            }
            var objProcData = { ProcedureName: "Fcr_Prc_UsrProc", PrcParams: ['RegisterUsr', '{"UsrId":"' + $('#NewUsrNm').val().trim() + '","UsrPwd":"' + $('#NewUsrPwd').val().trim() + '","UsrIdType":"' + UsrIdType + '"}'] }
            fnCallWebService("", objProcData, fnSuccessRegister, "MULTI")

        }
        else if ((fnValidateNumber($('#NewUsrNm')) == false)) {
            if (fnValidateEmail($('#NewUsrNm')) == false) {
                fnAlert("warning",'Invalid Mobile / Email ')
            }            
        }       
        else {
            fnAlert("warning",'Invalid Mobile / Email ')
        }
    }
    else if ($('#NewUsrNm').val().trim() == "" || fnValidateNumber($('#NewUsrNm')) == false) {
        if (fnValidateEmail($('#NewUsrNm')) == false) {
            fnAlert("warning",'Invalid Mobile / Email ')
            $('#NewUsrNm').focus();
        }
        else if (fnCheckPassword($('#NewUsrPwd')) == false) {
            fnAlert("warning",'weak password')
        }
    }
    else if (fnCheckPassword($('#NewUsrPwd')) == false) {
        fnAlert("warning",'weak password')
    }
}
function fnSuccessRegister(val) {
    try {
        var RegData = JSON.parse(val);
        if (RegData.status) {
            var regResult = JSON.parse(RegData.result);
            if (regResult[0]['STATUS'] == 0) {
                window.location.href = "./login.html";
            }
            else {
                fnAlert("warning",regResult[0]['MESSAGE'])
            }
        }
    }
    catch (err) {
        fnAlert("warning",err)
    }
}
// for fb

function fbRegister() {
    try{
        facebookConnectPlugin.browserInit('1829642303944584');
        facebookConnectPlugin.login(['public_profile', 'email', 'user_location', 'user_birthday'], fnFbLogSuccess, fnFbLogFail)
    }
    catch (err) {
        fnAlert("warning",err);
    }
}
function fnFbLogSuccess(data) {
    console.log(data)
    fnAlert("warning",'success')
}
function fnFbLogFail(data) {
    console.log(data)
}




// for validating mobile number
function fnValidateNumber(Usrn) {
    try{
        var regPhone = /^\d{10}$/;
        if (Usrn.val().match(regPhone))
        { return true; }
        else
        {  return false; }
    }
    catch (err) {
        console.log(err)
    }
}

// for validating email
function fnValidateEmail(Uemail) {
    try{
        var regEmail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return regEmail.test(Uemail.val());
    }
    catch (err) {
        console.log(err);
    }
}

// for validating user password length etc
function fnCheckPassword(pwd) {
    var regPwd = /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,20}$/;
    if (pwd.val().match(regPwd)) {        
        return true;
    }
    else {       
        return false;
    }
}





function fnAutoLogin() {
	var lgin = localStorage.getItem("LoggedIn") || "";
	var UserInfo = localStorage.getItem("UserInfo") || "";	
	if(UserInfo.trim()=="")
		return;
	if(lgin == "")
		location.href = "index.html";
}

function fnCallWebService(serviceFor, prcObject, callback, extParam1, extParam2, extParam3) {
    var jsonData = prcObject;
    try {
        fnShowProgress();
    }
    catch (ex) {
    }
    var SerUrl = "";
    if (extParam1 == "MULTI") {
        SerUrl = SerUrlDomain + "FcrService.svc/DataAccessService"
    }
    $.ajax({
        type: "POST",
        contentType: "application/json; charset=utf-8",
        url: SerUrl,
        data: JSON.stringify(jsonData),
        processData: true,
        dataType: "json",
        success: function (data) {
            setTimeout(function () { fnRemoveProgress() }, 500);
            callback(data);

        },
        error: function (data, q, t) {
            setTimeout(function () { fnRemoveProgress() }, 500);
            console.log('Error: ', data);
        }
    });
}


// ------------------FB LOGIN START -----------------------------------
var FB_App_Id = "189158124913176";
function FBLogin() {
    try {        
        try { fnShowProgress(); } catch (e) { }
        var authorize_url = "https://m.facebook.com/dialog/oauth?";
        authorize_url += "client_id=" + FB_App_Id;
        authorize_url += "&redirect_uri=http://localhost/callback.html";
        authorize_url += "&display=touch";
        authorize_url += "&response_type=token";
        authorize_url += "&type=user_agent";
        // Open the url command
        appInBrowser = window.open(authorize_url, '_blank', 'location=no,hidden=yes,toolbar=no,zoom=nso');

        appInBrowser.addEventListener('loadstart', function (event) {
            callbackfacebook(event.url, appInBrowser);
        });

        appInBrowser.addEventListener('loadstop', function (event) {
            loadStopCallBack(appInBrowser);
        });

    }
    catch (ex) {
        fnAlert("warning", ex);
    }
}

function loadStopCallBack(appInBrowser) {
    try { fnRemoveProgress(); } catch (e) { }
    if (appInBrowser != undefined) {
        appInBrowser.insertCSS({ code: "html, body {height: 100%;overflow: hidden;}" });
        $('#status-message').text("");
        appInBrowser.show();
    }

}

function callbackfacebook(retUrl, appInBrowser) {
    $('#status-message').text("loading please wait ...");
    try {
        if (retUrl.indexOf("access_token") > -1) {
            appInBrowser.close();
            retUrl = retUrl.replace("#", "");
            var token = getParameterByName("access_token", retUrl);
            var fburl = "https://graph.facebook.com/me?fields=id,name,first_name,last_name,email,link,gender&access_token=" + token;
            $.getJSON(fburl, function (data) {
                var name = data["name"];
                var obj = Object.keys(data);
                if (obj.length == 0)
                { fnAlert("sad", "We cant connect you through facebook. Try manual login."); return; }
                var objProcData = { ProcedureName: "PrcFBGPLogin", PrcParams: ['FBLogin', JSON.stringify(data)] };
                fnCallWebService("", objProcData, fnFBCallBack, "MULTI", "");
            });
        }
    }
    catch (ex) {
        fnAlert("warning",ex);
    }
}

// ------------------FB LOGIN END -----------------------------------


function getParameterByName(name, url) {
    if (!url) {
        url = window.location.href;
    }
    name = name.replace(/[\[\]]/g, "\\$&");
    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, " "));
}


function fnFBCallBack(data) {
    fnSuccessLogin(data);
}



// ------------------GOOGLE PLUS LOGIN START -----------------------------------
var Google_Client_Id = "1093982053853-90h49535aancl5bmsi8ju03idpj5lnsv.apps.googleusercontent.com";
function GELogin() {
    try { fnShowProgress(); } catch (e) { }
    try {        
        var authorize_url = "https://accounts.google.com/o/oauth2/auth?scope=https://www.google.com/m8/feeds&";
        authorize_url += "client_id=" + Google_Client_Id;
        authorize_url += "&redirect_uri=http://localhost/callback.html";
        authorize_url += "&response_type=token";
        // Open the url command
        var appInBrowser = window.open(authorize_url, '_blank', 'location=no,hidden=yes,toolbar=no,zoom=no');

        appInBrowser.addEventListener('loadstart', function (event) {
            callbackgoogleplus(event.url, appInBrowser);
        });

        appInBrowser.addEventListener('loadstop', function (event) {
            loadStopCallBack(appInBrowser);
        });


    }
    catch (ex) {
        fnAlert("warning",ex);
    }
}

function callbackgoogleplus(retUrl, appInBrowser) {
    try {
        if (retUrl.indexOf("access_token") > -1) {
            appInBrowser.close();
            retUrl = retUrl.replace("#", "?");
            var token = getParameterByName("access_token", retUrl);
            fnAlert("warning", token);
            var url = "https://www.googleapis.com/oauth2/v1/userinfo?alt=json&access_token=" + token;
            $.getJSON(url, function (data) {
                var name = data["name"];
                fnAlert("warning", JSON.stringify(data));
            });
        }
    }
    catch (ex) {
        fnAlert("warning", ex);
    }
}
