﻿var UsrInfoTxt = localStorage.getItem("UserInfo") || "";
if (UsrInfoTxt == "" || !UsrInfoTxt)
    location.href = "login.html";
var UsrInfo = JSON.parse(UsrInfoTxt);
var usrRowId = UsrInfo[0].SmileCode;

var GlobalXml = {};
GlobalXml.appver = localStorage.getItem("appversion");
GlobalXml.UsrPk = 1;
GlobalXml.UsrRowId = usrRowId;

var panSmileCode = 1;

$(document).ready(function () {
    fnLoadUsrDtls();
    $("#PanFile").change(function (e) {
        var fileElem = $("#PanFile").get(0);
        var files = fileElem.files;
        var fileNm = files[0].name;
        $(".panUpload").append(" - " + fileNm);
    })
});

function fnpanValidation(panVal) {
    //var panVal = $('#panNumber').val);
    var regpan = /^([a-zA-Z]){5}([0-9]){4}([a-zA-Z]){1}?$/;
    if (regpan.test(panVal)) {
        return true;
    }
    else {
        return false;
    }
}

function fnLoadUsrDtls() {
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["USRDTL_PAN", JSON.stringify(GlobalXml), ""] };
    fnCallWebService("USRDTL_PAN", objProcData, fnResultPAN, "MULTI", "");
}

//localStorage.getItem
function fnUploadPAN() {
    var fileElem = $("#PanFile").get(0);
    var PanNo = $("#PanNo").val();
    var isValid = fnpanValidation(PanNo);
    if (!isValid)
    {
        fnAlert("warning", "Enter valid PAN number.");
        return;
    }
    var files = fileElem.files;
    var formData = new FormData();
    if (files.length > 0) {
        var fileNm = files[0].name;
        var fileExt = fileNm.substring(fileNm.lastIndexOf(".")) || "";
        fileExt = fileExt.toLowerCase();
        if (!(fileExt == ".jpeg" || fileExt == ".jpg" || fileExt == ".png"))
        {
            fnAlert("warning", "The chosen file is not in supported format.");
            $(".panUpload").html("Upload PAN");
            $("#PanFile").val("");
            return;
        }

        formData.append("Action", "UploadPan");
        formData.append("File", files[0]);
        formData.append("SmileCode", panSmileCode);
        formData.append("PanNo", PanNo);
        fnCallFileUploadService("UploadPan", formData, fnResultPAN, "", "", "");
    }
    else {
        fnAlert("warning", "Select a file to Upload..!");
    }
}


function fnResultPAN(serviceFor, obj, param1, param2) {
    if (serviceFor == "UploadPan") {
        fnAlert("success", "File is uploaded & your PAN is under verification..!");
        $(".panUpload").html("Upload PAN");
        $("#PanFile").val("");
    }
    if (serviceFor == "USRDTL_PAN") {
        var data = JSON.parse(obj.result);
        if (!data || data.length == 0)
            return;
        //UsrEmail, UsrMob, UsrMobValid, UsrEmailValid, UsrPanValid
        var MobNo = data[0].UsrMob, isMobVerified = data[0].UsrMobValid, mailid = data[0].UsrEmail, isMailVerified = data[0].UsrEmailValid,
            PanVerified = data[0].UsrPanValid;
        panSmileCode = data[0].SmileCode;
        $("#txtMobVer").val(MobNo);
        $("#txtMailVer").val(mailid);
        if (isMobVerified == 1) { $("#txtMobVer").attr("readonly", "readonly"); $("#BtnMobVer").val("verified"); $("#BtnMobVer").attr("onclick", ""); }
        if (isMailVerified == 1) { $("#txtMailVer").attr("readonly", "readonly"); $("#BtnMailVer").val("verified"); $("#BtnMailVer").attr("onclick", ""); }
        if (PanVerified == 1) { $(".PanNo").attr("readonly", "readonly"); $(".panUpload").hide(); $("#BtnPanVer").val("verified"); $("#BtnPanVer").attr("onclick", ""); }
    }
}




function fnCallFileUploadService(serviceFor, formData, callback, extParam1, extParam2, callback_2) {
    debugger;
    try {
        var URL = "http://viktree11.com/services/Handlers/FileUpload.ashx";
        try {
            fnShowProgress();
        }
        catch (ex) {
        }
        $.ajax({
            url: URL,
            type: "POST",
            data: formData,
            contentType: false,
            processData: false,
            success: function (result) {
                try {
                    fnRemoveProgress();
                    if (JSON.parse(result).status == false) {
                        alert(JSON.parse(result).error);
                    }
                }
                catch (ex) { }
                callback(serviceFor, result, extParam1, extParam2);
            },
            error: function (err) {
                fnRemoveProgress();
                alert(err.statusText)
                console.log(err);
            }
        });
    }
    catch (e) {
        alert(e)
    }
}

function fnMobVerify() {
    var mob = $("#txtMobVer").val();
    if (!fnValidateNumber(mob)) {
        fnAlert("error", "Enter valid mobile number.");//obj.error
        return;
    }
    fnenterOTP();
}

function fnMailVerify() {
    fnPushVerMail();
}

var SerUrlDomain = "http://viktree11.com/services/";

function fnCallWebService(serviceFor, prcObject, callback, extParam1, extParam2, extParam3) {
    var jsonData = prcObject;
    try {
        if (extParam3 != false)
            fnShowProgress();
    }
    catch (ex) {
    }
    var SerUrl = "";
    if (extParam1 == "MULTI") {
        SerUrl = SerUrlDomain + "FcrService.svc/DataAccessService"
    }
    else if (extParam1 == "CRI") {
        SerUrl = SerUrlDomain + "FcrService.svc/CricAPIAccess"
    }
    $.ajax({
        type: "POST",
        contentType: "application/json; charset=utf-8",
        url: SerUrl,
        data: JSON.stringify(jsonData),
        processData: true,
        dataType: "json",
        success: function (data) {
            setTimeout(function () { fnRemoveProgress() }, 500);
            var obj = JSON.parse(data);
            if (!obj.status)
                fnAlert("error", "unexpected Error. Try again.");//obj.error
            callback(serviceFor, obj, extParam1, extParam2, extParam3)

        },
        error: function (data, q, t) {
            setTimeout(function () { fnRemoveProgress() }, 500);
            console.log('Error: ', data);
            location.href = "warning.html";
        }
    });
}


function fnValidateEmail(Uemail) {
    try {
        var regEmail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return regEmail.test(Uemail.val());
    }
    catch (err) {
        console.log(err);
    }
}


function fnValidateNumber(Num) {
    var mob = Num;
    var regPhone = /^\d{10}$/;
    return mob.match(regPhone);
}

function fnenterOTP() {
    var mob = $("#txtMobVer").val();
    if (fnValidateNumber(mob)) {
        fnShowProgress();
        $.ajax({
            type: "POST",
            contentType: "application/json; charset=utf-8",
            url: "http://viktree11.com/MessageService/Validation.aspx/PushOtp",
            data: '{"mobile":"' + $('#txtMobVer').val() + '","UsrRow":"' + UsrInfo[0]["SmileCode"] + '","UsrMsg":"OTP"}',
            processData: true,
            dataType: "json",
            success: function (data) {
                console.log(data.d);
                var AjaxRtr = data.d.split(':')
                if (AjaxRtr[0] == "0") {
                    $('#mobverify-popup').hide();
                    $('#otpverify-popup').fadeIn();
                    $('#otpverify-popup [type="text"]').val("");
                    sessionStorage.IronMan = AjaxRtr[1];
                    fnRemoveProgress();
                }

            },
            error: function (data, q, t) {
                console.log('Error: ', data);
            }
        });
    }
    else {
        fnAlert("warning", 'Enter Proper Number');
    }
}


function fnsubmitOTP() {
    var objProcData = { ProcedureName: "Fcr_Prc_UsrProc", PrcParams: ['VerifyMobile', '{"VerUsrBox":"' + sessionStorage.IronMan + '","VerUsrCode":"' + $('#txtotpver').val().trim() + '"}'] }
    fnCallWebService1("", objProcData, fnsuccessOTP, "MULTI")
}

function fnsuccessOTP(val) {
    var A_return = JSON.parse(val);
    if (JSON.parse(A_return.result)[0]['STATUS'] == 0) {
        fnGetUsrProfile();
        $('#otpverify-popup [type="text"]').val("");
        $('#otpverify-popup').fadeOut();
        if (UsrInfo[0]['UserEmailVerify'] == 0) {
            //$('#emailverify-popup').fadeIn();
            //$('#txtMailVer').val(UsrInfo[0]['UserEmail']);
            $('#otpverify-popup [type="text"]').val("");
            $('#otpverify-popup').fadeOut();
        }
        else {
            $('#otpverify-popup [type="text"]').val("");
            $('#otpverify-popup').fadeOut();
        }
        fnLoadUsrDtls();
    }
    else if (JSON.parse(A_return.result)[0]['STATUS'] == 1) {
        fnAlert("error", "Invalid OTP");

        $('#otpverify-popup [type="text"]').val("");
    }
    else {

    }
}


function fnPushVerMail() {


    if (fnValidateEmail($('#txtMailVer'))) {
        fnShowProgress();
        fnRemoveProgress();
        fnAlert("success", "Verfication Mail is been sent to your mail , verfiy to continue");

        $.ajax({
            type: "POST",
            contentType: "application/json; charset=utf-8",
            url: "http://viktree11.com/MessageService/Validation.aspx?Superman=Win&SupermanName=" + UsrInfo[0]['SmileCode'] + "&SupermanMail=" + $('#txtMailVer').val() + "",
            data: '',
            processData: true,
            dataType: "json",
            success: function (data) {
                console.log(data.d);
                //alert('verify Your Email');

            },
            error: function (data, q, t) {
                console.log('Error: ', data);
            }
        });
        $('#emailverify-popup').fadeOut();
    }
    else {

        fnAlert("warning", "Enter Proper Number");
    }


}



function fnCallWebService1(serviceFor, prcObject, callback, extParam1, extParam2, extParam3) {
    var jsonData = prcObject;
    try {
        fnShowProgress();
    }
    catch (ex) {
    }
    var SerUrl = "";
    if (extParam1 == "MULTI") {
        SerUrl = SerUrlDomain + "FcrService.svc/DataAccessService"
    }
    $.ajax({
        type: "POST",
        contentType: "application/json; charset=utf-8",
        url: SerUrl,
        data: JSON.stringify(jsonData),
        processData: true,
        dataType: "json",
        success: function (data) {
            setTimeout(function () { fnRemoveProgress() }, 500);
            callback(data);

        },
        error: function (data, q, t) {
            setTimeout(function () { fnRemoveProgress() }, 500);
            console.log('Error: ', data);
        }
    });
}

