﻿localStorage.setItem("LoggedIn", "Y");
var UsrInfoTxt = localStorage.getItem("UserInfo") || "";
if (UsrInfoTxt == "" || !UsrInfoTxt)
    location.href = "login.html";
var UsrInfo = JSON.parse(UsrInfoTxt);
var usrRowId = UsrInfo[0].SmileCode;
var usrPk = UsrInfo[0].HappyCode;

var GlobalXml = {};
GlobalXml.UsrPk = usrPk;
GlobalXml.UsrRowId = usrRowId;
GlobalXml.MatchID = '';

var matchPk = getLocalStorage("PlayNowMatchPk");
var matchID = getLocalStorage("PlayNowMatchID");
var matchdt = getLocalStorage("PlayNowMatchDt");
GlobalXml.appver = localStorage.getItem("appversion");
GlobalXml.MatchPk = matchPk;
GlobalXml.MatchID = matchID;
GlobalXml.PlayerID = '';
GlobalXml.PlayerPk = '';

$(document).ready(function () {
    var tm1 = getLocalStorage("tm1name");
    var tm2 = getLocalStorage("tm2name");
    $("#playTeam").html(tm1 + " vs " + tm2);
    $("#matchdt").attr("date", matchdt);
    $("#matchdt").CountDown("", '');
    fnLoadLeagueDetails()
});



function fnLoadLeagueDetails() {
    GlobalXml.leagueCode = localStorage.getItem("leagueCode");
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["LEAGUE_DETAILS", JSON.stringify(GlobalXml), ""] };
    fnCallWebService("LEAGUE_DETAILS", objProcData, fnLeagueDetailResult, "MULTI", "");
}

function fnLeagueDetailResult(serviceFor, Obj, Param1, Param2) {
    if (!Obj.status)
        return;
    if (serviceFor == "LEAGUE_DETAILS") {
        var data1 = JSON.parse(Obj.result_1);
        var data2 = JSON.parse(Obj.result_2);
        var data3 = JSON.parse(Obj.result_3);

        if (data2 && data2.length > 0) {
            var entryFee = parseInt(data2[0].EntryFee);
            var totWinAmt = parseInt(data2[0].totWinAmt);
            var spotLeft = data2[0].SpotLeft;
            var totTeam = data2[0].TotTeam;
            var JoinPerc = parseInt((totTeam - spotLeft) / totTeam * 100);            
            var SplitBtwn = parseInt(data2[0].SplitBtwn);
            var leagnm = data2[0].LeagueNm;

            $("#leagnm").text(leagnm);
            if (SplitBtwn == 0) {
                $("#spltBtnDiv").hide();
            } else {
                $("#spltBtnDiv").show();
            }
            $("#entryFee").text(" " + entryFee);
            $(".totWinAmt").text(" " + totWinAmt);
            $("#spotleft").html(spotLeft + " Spots left.");
            $("#totTeams").html(totTeam + " Teams.");
            $("#progressbar").progressbar({
                value: JoinPerc
            });
        }

        $(".leader-list").empty();
        if (data3 && data3.length > 0) {
            for (var i = 0; i < data3.length; i++) {
                var tm = '   <li>' +
                            '<p>' + data3[i].teamNm + '</p>' +
                            '<h5><span class="left">points : ' + data3[i].points + '</span><span class="right">' + data3[i].rank + '</span></h5>' +
                            '<div class="clear"></div>' +
                            '</li>';
                $(".leader-list").append(tm);                
            }

        }

    }

}
