﻿var UsrDevice = "A";

function LoadHtmlDiv(HtmlPage) {
    $("#div-html-content").empty();
    $("#div-html-content").load(HtmlPage + "?v=" + (new Date()).toString());
}


$(document).on("click","ul.form-div li label", function () {
    $(this).siblings("input").focus();
});
$(document).on("click", "label", function () {
    $(this).siblings("input").focus();
});


function fnShowProgress() {
    var body = $(this.ie6 ? document.body : document);
    var Winwidth = body.width();
    var Winheight = body.height();

    //var xModalDiv = $("<div id='modalProgess'><img style='position:fixed; top:40%; left:30%;' src='images/ajax-loader.gif'/>'</div>");
    var xModalDiv = $("<div id='modalProgess'><img style='border-radius:5px;top: 35%;background:#FFF;position: relative;' src='images/ajax-loader.gif'/></div>");
    xModalDiv.css({
        'display': 'table-cell',
        'position': 'absolute',
        //'opacity': '0.5',
        'z-index': '1000',
        'top': '0',
        'width': Winwidth,
        'height': Winheight,
        'text-align': 'center',
        'vartical-aign': 'middle',
        //'background-color': '#FFF'
    });
    xModalDiv.remove();
    xModalDiv.appendTo("body");
}

function fnRemoveProgress() {
    $("#modalProgess").remove();
}


String.prototype.hashCode = function () {
    var hash = 0, i, chr, len;
    if (this.length === 0) return hash;
    for (i = 0, len = this.length; i < len; i++) {
        chr = this.charCodeAt(i);
        hash = ((hash << 5) - hash) + chr;
        hash |= 0; // Convert to 32bit integer
    }
    return hash;
}

jQuery.fn.justtext = function () {

    return $(this).clone()
            .children()
            .remove()
            .end()
            .text();

};

function setLocalStorage(key, value) {
    try { localStorage.setItem(key, value); }
    catch (e) { }
}

function getLocalStorage(key) {
    var value = localStorage.getItem(key);
    return value;
}

function fnAlert(status, ErrMsg, onclickFn, isCancelBtn,isExit) {
    isCancelBtn = (isCancelBtn == null || isCancelBtn == undefined || isCancelBtn == "" || isCancelBtn == false) ? "none" : "";
    var title = "";
    var icon = "";
    var Icontitle = "";


    if (status == 'sad') {
        title = "";
        icon = "fa fa-frown-o";
        Icontitle = "";
   }    

    if (status == 'smile') {
        title = "";
        icon = "fa fa-smile-o";
        Icontitle = "";
    }

    if (status == 'error') {
        title = "Error";
        icon = "fa fa-close";
        Icontitle = "Error";
    }
    if (status == 'success') {
        title = "success";
        icon = "fa fa-check";
        Icontitle = "success";
    }
    if (status == 'warning') {
        title = "warning";
        icon = "fa fa-warning";
        Icontitle = "warning";
    }
    var isExitCls = "";
    if (isExit)
        isExitCls = " exit";

    var errDiv = $(' <div class="error-div' + isExitCls + '" style="">' +
                    '<div class="error-content">' +
                    '<div class="display-table">' +
                    '    <div class="display-table-cell"><i id="AlertIcon" title="' + Icontitle + '" class="' + icon + '"></i></div>' +
                    '    <div class="display-table-cell">' +
                    '        <h4 id="title_msg">' + title + '</h4>' +
                    '        <p id="error_msg">' + ErrMsg + '</p>' +
                    '    </div>' +
                    '    <div class="clear"></div>' +
                    '</div>' +
                    '<input type="button" clickFn="' + onclickFn + '" id="btn_Ok" value="  OK  "> <input style="display:' + isCancelBtn + ';" id="btn_Cancel" type="button" value="CANCEL">' +
                    '</div>' +
                    '</div>');

    errDiv.find("#btn_Ok").click(function () { 
        $(this).closest(".error-div").remove();
        var clickFn = $(this).attr("clickFn");
        if (clickFn && clickFn != "")
        {
            try { window[clickFn](); } catch (e) { }
        }
        $(this).closest(".error-div").remove();    
    });
    errDiv.find("#btn_Cancel").click(function () { $(this).closest(".error-div").remove() });

    if (isExit) {
        if ($(".exit").length == 0)
            $("body").append(errDiv);
    }
    else {
        $("body").append(errDiv);
    }
            
}

jQuery.fn.CountDown = function (append, prepend) {
    try {
        var elem = this;
        if (elem != undefined && elem != null) {
            if (elem.hasOwnProperty("length") || elem.selector)
                elem = elem[0];
        }
        var seconds = 0;
        if (!$(elem).is("[seconds]")) {
            var date1 = new Date();
            var date = $(elem).attr("date");
            var date2 = new Date(date);
            var timeDiff = date2.getTime() - date1.getTime();
            //timeDiff = Math.abs(date2.getTime() - date1.getTime());
            if (timeDiff < 0)
                seconds = 0;
            else
                seconds = Math.floor(timeDiff / 1000);
        } else {
            seconds = $(elem).attr("seconds");
        }

        var days = Math.floor(seconds / 24 / 60 / 60);
        var hoursLeft = Math.floor((seconds) - (days * 86400));
        var hours = Math.floor(hoursLeft / 3600);
        var minutesLeft = Math.floor((hoursLeft) - (hours * 3600));
        var minutes = Math.floor(minutesLeft / 60);
        var remainingSeconds = Math.floor(seconds % 60);
        if (remainingSeconds < 10) {
            remainingSeconds = "0" + remainingSeconds;
        }
        //elem.innerHTML = prepend + " " + days + " Days :" + hours + " Hours :" + minutes + " Minutes :" + remainingSeconds + " Seconds " + append;
        elem.innerHTML = prepend + " " + days + " D :" + hours + " H :" + minutes + " M :" + remainingSeconds + " S " + append;
        if (seconds == 0) {
            clearInterval(elem.countdownTimer);
            elem.innerHTML = "Match is live";
        } else {
            seconds--;
            $(elem).attr("seconds", seconds);
            elem.countdownTimer = setTimeout(function () { $(elem).CountDown(append, prepend); }, 1000);
        }
    }
    catch (e) { console.log(e); }
};


function FormatCurrency(value) {
    try {
        if (value == null || value == undefined || value == "")
            return "0";
        value = value.toString();
        value = value.trim();
        value = FormatCleanComma(value);
        var isMinus = false;
        if (value.indexOf("-") == 0) {
            isMinus = true;
            value = value.replace("-", "");
        }

        var samount = value;
        var dVal, sVal;
        var Cnt;

        if (samount.lastIndexOf(".") != -1) {
            sVal = samount.substring(0, samount.lastIndexOf("."));
            dVal = samount.substring(samount.lastIndexOf(".") + 1, samount.length)
        }
        else {
            sVal = samount;
            dVal = "";
        }

        if (parseInt(sVal.length) <= 3) {
            if (dVal == "")
                return isMinus ? "-" + sVal : sVal;
            else
                return isMinus ? "-" + (sVal + "." + dVal) : (sVal + "." + dVal);

        }

        for (var i = 0; i < Math.floor((sVal.length - (1 + i)) / 2) ; i++) {
            if (i == 0) {
                Cnt = sVal.length - 3;
            }
            else {
                Cnt = Cnt - 2;
            }
            if (sVal.substring(0, Cnt) != "")
                sVal = sVal.substring(0, Cnt) + "," + sVal.substring(Cnt);
        }

        if (dVal == "")
            return isMinus ? "-" + sVal : sVal;
        else
            return ((isMinus ? "-" + sVal : sVal) + "." + dVal);
    }
    catch (exception) { alert("Format Comma", exception); }
}

function FormatCleanComma(num) {
    if (!num)
        return 0;
    num = num.toString();
    var sVal = '';
    var nVal = num.length;
    var sChar = '';

    try {
        for (i = 0; i < nVal; i++) {
            sChar = num.charAt(i);
            if (sChar != ",")
                sVal += num.charAt(i);
        }
    }
    catch (exception) { alert("Format Clean", exception); }
    if (num.length == 0) { sVal = 0; }
    return sVal;
}

function fnDateAdd(date, Hours, Minutes) {
    Hours = Hours || 0;
    Minutes = Minutes || 0;
    Minutes = Minutes + (Hours * 60);
    return new Date(date.getTime() + Minutes * 60000);
}

function formatDate(date, TZH,TZM) {
    TZH = TZH || 0;
    TZH = Number(TZH) ? TZH : 0;
    TZM = TZM || 0;
    TZM = Number(TZM) ? TZM : 0;
    var year = date.getFullYear(),
        month = date.getMonth() + 1, // months are zero indexed
        day = date.getDate(),
        hour = date.getHours(),
        minute = date.getMinutes(),
        second = date.getSeconds(),
        hourFormatted = (hour + TZH) % 12 || 12, // hour returned in 24 hour format
        minuteFormatted = minuteFormatted,
        minuteFormatted = (minute + TZM) < 10 ? "0" + (minute + TZM) : (minute + TZM),
        morning = hour < 12 ? "am" : "pm";

    return month + "/" + day + "/" + year + " " + hourFormatted + ":" +
            minuteFormatted + morning;
}


$(document).ready(function () {

    document.addEventListener("backbutton", onBackKeyDown, false);
    function onBackKeyDown() {
        window.fnExitApp = function () {
            navigator.app.exitApp();
        }
        fnAlert("warning", "Do you want to exit?", "fnExitApp", true, true);
        return false;
    }
});