﻿localStorage.setItem("LoggedIn", "Y");
var UsrInfoTxt = localStorage.getItem("UserInfo") || "";
if (UsrInfoTxt == "" || !UsrInfoTxt)
    location.href = "login.html";
var UsrInfo = JSON.parse(UsrInfoTxt);
var usrRowId = UsrInfo[0].SmileCode;
var usrPk = UsrInfo[0].HappyCode;

var GlobalXml = {};
GlobalXml.UsrPk = usrPk;
GlobalXml.UsrRowId = usrRowId;
GlobalXml.MatchID = '';

var matchPk = getLocalStorage("PlayNowMatchPk");
var matchID = getLocalStorage("PlayNowMatchID");
var matchdt = getLocalStorage("PlayNowMatchDt");
GlobalXml.appver = localStorage.getItem("appversion");
GlobalXml.MatchPk = matchPk;
GlobalXml.MatchID = matchID;
GlobalXml.PlayerID = '';
GlobalXml.PlayerPk = '';

$(document).ready(function () {
    $(document).tooltip();
    var tm1 = getLocalStorage("tm1name");
    var tm2 = getLocalStorage("tm2name");
    $("#playTeam").html(tm1 + " vs " + tm2);    
    $("#matchdt").attr("date", matchdt);
    $("#matchdt").CountDown("", '<i class="fa fa-clock-o"></i> ');

    //LgbackBtn
    setTimeout(function () {
        var seconds = Number($("#matchdt").attr("seconds"));
        if (seconds < 3600)
            $("#LgbackBtn").html('<i class="fa fa-arrow-left"></i>');
        else
        {
            $("#LgbackBtn").attr('onclick', '');
            $("#LgbackBtn").html('<span class="Tmspn" onclick="fnEditAdd(0)">Edit team</span><span class="Tmspn" onclick="fnEditAdd(1)">Add team</span>');

        }
        }, 500);
    fnLoadLeagues(1);

});

window.AddOrEdit = 'E';

function fnEditAdd(typ) {
    //Edit
    if (typ == 0) {
        window.AddOrEdit = 'E';
        window.TeamNo = $('#tmList').val();
        LoadHtmlDiv('play.html');
    }
    //Add
    else if (typ == 1) {
        var mxTm = localStorage.getItem("MaxTeam");
        var curMax = $('#tmList option').length;
        if (mxTm <= curMax) {
            fnAlert('sad', 'You can add maximum ' + mxTm + ' teams');
            return;
        }
        window.AddOrEdit = 'A';
        window.TeamNo = $('#tmList option').length;
        window.TeamNo = Number(window.TeamNo) + 1;
        LoadHtmlDiv('play.html');
    }
}

function fnLoadLeagues(TmNo) {
    GlobalXml.TmNo = TmNo;
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["LEAGUELIST", JSON.stringify(GlobalXml),""] };
    fnCallWebService("LEAGUELIST", objProcData, fnLeagueResult, "MULTI", TmNo);
}


function fnLeagueResult(serviceFor, Obj, Param1, Param2) {
    if (!Obj.status)
        return;
    
    if (serviceFor == "LEAGUE_PRIZE") {
        var data = JSON.parse(Obj.result);
        if(!data || data.length == 0 )
            return;
        var tr = "<table id='prizelist'><tr><th>Rank</th><th>Prize Amount</th></tr>";
        for (var i = 0; i < data.length; i++) {
            var rnk = data[i].from == data[i].to ? data[i].to : data[i].from + " - " + data[i].to;
            var amt = '<p class="prz"><i class="fa fa-inr"></i><span class="amount"> ' + data[i].amt + '</span></p>';
            tr += "<tr><td>" + rnk + "</td><td>" + amt + "</td></tr>";
        }
        tr += "<tr><td colspan='2'> ** Prize amount may vary if the league is not full. </td></tr>";
        tr += "</table>";
        $("#leagueDtl-scroll").append(tr);
        $("#leagueDtl-popup").fadeIn();
    }
    if (serviceFor == "LEAGUELIST") {
        $(".league-div").empty();
        var Lgdata;
        if (Obj.resultCount == 1)
            Lgdata = JSON.parse(Obj.result);
        else {
            Lgdata = JSON.parse(Obj.result_1);
            var TmData = JSON.parse(Obj.result_2) || [];
            if (Param2 == 1) {
                $("#tmList").empty()
                var opt = "";
                for (var i = 0; i < TmData.length; i++) {
                    opt += "<option value='" + TmData[i].TmNo + "' tmNo='" + TmData[i].TmNo + "'>" + TmData[i].TmNm + "</option>";
                }
                $("#tmList").append(opt);
                window.TeamNo = 1;
            }
        }

        if (Lgdata && Lgdata.length > 0) {
            for (var i = 0; i < Lgdata.length; i++) {
                //var winAmt = Lgdata[i].TotWinAmt > 0 ? 'Win <i class="fa fa-inr"></i>  <span class="amount">' + Lgdata[i].TotWinAmt + '</span>' : 'Free League';
                var winAmt = Lgdata[i].LTitle;
                var totPart = Lgdata[i].Particp;
                var entryFee = Lgdata[i].BidAmt > 0 ? '<i class="fa fa-inr"></i><span class="amount"> ' + Lgdata[i].BidAmt + '</span>' : '<span class="amount">free</span>'
                var Btn = Lgdata[i].isJoined == 'N' ? 'Join' : 'View';
                var spotLeft = Lgdata[i].spotLeft;
                var Perc = parseInt(Lgdata[i].Perc);
                var title = Lgdata[i].title;
                var Qsnclass = Lgdata[i].cancelClass;
                var Leag = $('<div class="box-div">' +
                            '<div class="left">' +
                            '  <p style="margin-bottom:5px;"> <span>' + winAmt +
                            '</span> <span class="right"> <i onclick="fnOpenSplitUps(\'' + Lgdata[i].LgPk + '\',' + Lgdata[i].TotWinAmt + ')"' +
                            ' style="color:dodgerblue;font-size: 16px;margin:0 10px;" class="fa fa-inr"></i> <i title="' + title + '" ' +
                            'style="color:dodgerblue;font-size: 20px;" class="' + Qsnclass + '"></i></span></p>' +
                            '  <div class="progres-bar">' +
                            '    <div class="bar"></div>' +
                            '    <p>' + totPart + ' Teams<span class="right"> ' + spotLeft + ' left</span></p>' +
                            '  </div>' +
                            '</div>' +
                            '<div class="right">' +
                            ' <p>' + entryFee + '</p>' +
                            ' <input type="button" value="' + Btn + '"  onclick="fnJoinThisLeague(\'' + Lgdata[i].Lgrow + '\',\'' + Btn + '\')">' +
                            '</div>' +
                            ' <div class="clear"></div>' +
                            '</div>');
                $(Leag).find(".bar").progressbar({ value: Perc });
                $(".league-div").append(Leag);                
            }
        } else {
            $(".league-div").append("<p>No Leagues available now!</p>");
        }
        $(".league-div").append("<div class='clear'></div>");
    }
    if (serviceFor == "JOINTHISLEAGUE") {
        var cash = JSON.parse(Obj.result);
        if (cash && cash.length > 0) {
            if (cash[0].ERROR && cash[0].ERROR != "") {
                if (cash[0].TYPE == "TM") {
                    $("#teamNm-popup").show();
                } else {
                    fnAlert("sad", cash[0].ERROR);
                }
                return;
            }
            var EnoughCash = cash[0].EnoughCash;
            if (EnoughCash == "Y")
                LoadHtmlDiv('leader-board.html');
            else
                fnAlert("sad","Oh No, not enough cash. Add cash to your wallet and try again!");
            
        }
        
    }
}


function fnJoinThisLeague(leagueCode, isJoin) {
    localStorage.setItem("LJoined", "true");
    GlobalXml.leagueCode = leagueCode;
    localStorage.setItem("leagueCode", leagueCode);
    if (isJoin == "View") {
        LoadHtmlDiv('leader-board.html');
    } else {
        var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["JOINTHISLEAGUE", JSON.stringify(GlobalXml), ""] };
        fnCallWebService("JOINTHISLEAGUE", objProcData, fnLeagueResult, "MULTI", "");
    }
}

function fnOpenSplitUps(LgPk, WinAmt) {
    $("#leagueDtl-scroll").empty();
    if (WinAmt == 0) {
        $("#leagueDtl-scroll").append("<p>This is a free league. Top scorer will be named as viktree'an. <i class='fa fa-trophy' style='color:green;'></i></p>");
        $("#leagueDtl-popup").fadeIn();
    }
    else {
        GlobalXml.LeaguePk = LgPk;
        var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["LEAGUE_PRIZE", JSON.stringify(GlobalXml), ""] };
        fnCallWebService("LEAGUE_PRIZE", objProcData, fnLeagueResult, "MULTI", "");
    }    
}

function fnClickback() {
    var seconds = Number($("#matchdt").attr("seconds"));
    if (seconds < 3600)
        location.reload();
    else
        LoadHtmlDiv('play.html');
}


function fnTmSelect(elem) {
    var val = $(elem).val();
    if (val && val > 0) {
        fnLoadLeagues(val);
    }
}
