﻿localStorage.setItem("LoggedIn", "Y");
var UsrInfoTxt = localStorage.getItem("UserInfo") || "";
if (UsrInfoTxt == "" || !UsrInfoTxt)
    location.href = "login.html";
var UsrInfo = JSON.parse(UsrInfoTxt);
var usrRowId = UsrInfo[0].SmileCode;
var usrPk = UsrInfo[0].HappyCode;

var GlobalXml = {};
GlobalXml.UsrPk = usrPk;
GlobalXml.UsrRowId = usrRowId;
GlobalXml.MatchID = '';

var matchPk = getLocalStorage("PlayNowMatchPk");
var matchID = getLocalStorage("PlayNowMatchID");
var matchdt = getLocalStorage("PlayNowMatchDt");
var leagPK = getLocalStorage("leagPK");
var LgTyp = localStorage.getItem("lgType");
GlobalXml.appver = localStorage.getItem("appversion");
GlobalXml.LeaguePk = leagPK;
GlobalXml.MatchPk = matchPk;
GlobalXml.MatchID = matchID;
GlobalXml.PlayerID = '';
GlobalXml.PlayerPk = '';

$(document).ready(function () {
    var tm1 = getLocalStorage("tm1name");
    var tm2 = getLocalStorage("tm2name");
    var matches = tm1.match(/\b(\w)/g);
    var tm1Nm = "";
    if (matches && matches.length > 1)
        tm1Nm = matches.join('');
    else
        tm1Nm = tm1;
    matches = tm2.match(/\b(\w)/g);
    var tm2Nm = "";
    if (matches && matches.length > 1)
        tm2Nm = matches.join('');
    else
        tm2Nm = tm2;

    $("#playTeam").html(tm1Nm + " vs " + tm2Nm);
    fnGetJoinedList();
    fnCallRanklist();
    
    if (LgTyp != "F") {
        setInterval(function () { fnGetJoinedList(false); }, 10000);
        setInterval(function () { fnCallRanklist(false); }, 10000);
    }

    $("#score-close").click(function (e) {
        e.preventDefault();
        $("#leagues-popup").fadeOut();
    })

});


function fnGetJoinedList(load) {
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["JOINED_LEAGUES", JSON.stringify(GlobalXml)] };
    fnCallWebService("JOINED_LEAGUES", objProcData, fnMyLeagueResult, "MULTI", "",load);
}


function fnMyLeagueResult(serviceFor, Obj, Param1, Param2, Param3) {
    if (!Obj.status) {
        return;
    }

    if (serviceFor == "ORGPRIZE_LIST") {
        var data = JSON.parse(Obj.result);
        if (!data || data.length == 0)
            return;
        var tr = "<table id='prizelist'><tr><th>Rank</th><th>Prize Amount</th></tr>";
        for (var i = 0; i < data.length; i++) {
            var rnk = data[i].from == data[i].to ? data[i].to : data[i].from + " - " + data[i].to;
            var amt = '<p class="prz"><i class="fa fa-inr"></i><span class="amount"> ' + data[i].amt + '</span></p>';
            tr += "<tr><td>" + rnk + "</td><td>" + amt + "</td></tr>";
        }
        tr += "<tr><td colspan='2'> ** Prize amount may vary if the league is not full. </td></tr>";
        tr += "</table>";
        $("#leagueDtl-scroll").append(tr);
        $("#leagueDtl-popup").fadeIn();
    }

    if (serviceFor == "POINTS_BREAKUP") {
        var data = JSON.parse(Obj.result);
        fnBuildPntBrkup(data);
    }
    if (serviceFor == "RANK_LIST_LG") {
        GlobalXml.LeaguePk = "";
        var data = JSON.parse(Obj.result);
        fnRankList(data,true,Param2);
    }
    if (serviceFor == "JOINED_LEAGUES") {
        var data = JSON.parse(Obj.result);
        fnBuildMyLeagues(data,Param3);
    }
    if (serviceFor == "RANK_LIST") {
        var data = JSON.parse(Obj.result);
        fnRankList(data,Param3);
    }
}

function fnBuildMyLeagues(data, Param3) {
    if (Param3 != false) {
        $("#leaglist .box-div").remove();
    }
    if (data && data.length > 0) {
        for (var i = 0; i < data.length; i++) {

            var joined = data[i].joinedCnt;
            var BidAmt = data[i].BidAmt;
            
            if (Param3 == false) {
                $('[LmPk="' + data[i].LmPk + '"] .rank').text((data[i].Rank == 0 ? "-" : data[i].Rank));
                $('[LmPk="' + data[i].LmPk + '"] .point').text(data[i].Points);
            } else {

                var onclk = (LgTyp == "F" || LgTyp == "L") ? "fnClickLeagueList(this)" : "";
                var list = '<div LmPk="' + data[i].LmPk + '" class="box-div" onclick="' + onclk + '">' +
                            '<h3>' + data[i].LmName + ' <i class="fa fa-inr right" onclick="fnShowPrizeList(' + data[i].LmPk + ',event,' + BidAmt + ')"></i></h3>' +
                            '<ul class="col-3">' +
                            '  <li>Teams<span>' + joined + '/' + data[i].totTeam + '</span></li>' +
                            '  <li>My Rank<span class="rank"> ' + (data[i].Rank == 0 ? "-" : data[i].Rank) + '</span></li>' +
                            '  <li>My Points<span class="point">' + data[i].Points + '</span></li>' +
                            '  <div class="clear"></div>' +
                           ' </ul>' +
                          '</div>';
                $("#leaglist").append(list);
            }
        }
    }

}


function fnShowPrizeList(lgPk, event, BidAmt) {
    //event.preventDefault();
    //event.stopImmediatePropagation();
    GlobalXml.LeaguePk = lgPk;
    $("#leagueDtl-scroll").empty();
    if (BidAmt == 0) {
        $("#leagueDtl-scroll").append("<p>This is a free league. Top scorer will be named as viktree'an. <i class='fa fa-trophy' style='color:green;'></i></p>");
        $("#leagueDtl-popup").fadeIn();
    }
    else {        
        var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["ORGPRIZE_LIST", JSON.stringify(GlobalXml)] };
        fnCallWebService("ORGPRIZE_LIST", objProcData, fnMyLeagueResult, "MULTI", "", true);
    }
}

function fnClickLeagueList(elem) {
    var LmPk = $(elem).attr("LmPk");
    GlobalXml.LeaguePk = LmPk;
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["RANK_LIST", JSON.stringify(GlobalXml)] };
    fnCallWebService("RANK_LIST_LG", objProcData, fnMyLeagueResult, "MULTI", elem, true);
}

function fnCallRanklist(elm) {
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["RANK_LIST", JSON.stringify(GlobalXml)] };
    fnCallWebService("RANK_LIST", objProcData, fnMyLeagueResult, "MULTI", "", elm);
}

function fnRankList(data, Lgflag,Div) {
    if (Lgflag) {
        $(".rank-list").remove();
        $(Div).after('<div lg="lg" class="rank-list">'+
                        '<ul class="live trans-history">' +
                        '</ul>'+
                    '</div>');

    }
    if (Lgflag != false)
    {
        $(".rank-list ul").empty();
    }
    if (data && data.length > 0) {
        var cls = "";
        for (var i = 0; i < data.length; i++) {
            var points = data[i].Points + " points";
            var usercode = data[i].UsrCode;
            var teamNm = data[i].TeamNm;
            var rank = " Rank " + data[i].Rank;            
            if (data[i].Rank == 1)
            {
                rank = '<i class="fa fa-trophy"></i> <span>' + rank + '</span>'
                cls = "text-green";

            }
            else {
                rank = ' <span>' + rank + '</span>'
                cls = "";
            }

            if (Lgflag == false) {
                $("[rankList=" + data[i].LmFk + "][usercode=" + usercode + "] .points").html(points);
                var rnk = $("[rank=" + data[i].LmFk + "][usercode=" + usercode + "] .rank");
                rnk.attr("class", "rank");
                rnk.addClass(cls);
                rnk.html(rank);
            }
            else {
                var li = '  <li rankList="' + data[i].LmFk + '" usercode="' + usercode + '" onclick="fnPointsBreakUp(' + data[i].UsrCode + ')">' +
                '  <p class="left">' + teamNm + '</p>' +
                '  <div class="right align-center">' +
                '  <p class="points">' + points + '</p>' +
                '  <p class="rank ' + cls + '">' + rank + '</p>' +
                '  </div>' +
                '  <div class="clear"></div>' +
                '  </li>';
                $(".rank-list ul").append(li);
            }            
        }

    }
}

function fnPointsBreakUp(usrcode) {
    var ht = $("#leagues-popup").css("height");
    ht = ht.replace("px", "");
    ht = Number(ht) - 250;
    $("#score-scroll").css({ "height": ht, "overflow": "auto" });
    $("#score-scroll").empty();    
    GlobalXml.UserCodeForRank = usrcode;
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["POINTS_BREAKUP", JSON.stringify(GlobalXml)] };
    fnCallWebService("POINTS_BREAKUP", objProcData, fnMyLeagueResult, "MULTI", "");
}

function fnBuildPntBrkup(data) {    
    if (!data || data.length == 0) { }
    else {
        if (data[0].ERROR && data[0].ERROR != "")
        {
            fnAlert("sad", data[0].ERROR);
            return;
        }

        var tbl = "<table class='scoretable'><tr><th>Name</th><th id='intable' rowspan='12'><div style='margin:0; overflow:scroll'></div></th></tr>"
        var intbl = "<table class='scoretable-in'><tr><th>Squad</th><th>C/VC</th><th>Runs</th><th>4's</th><th>6's</th><th>SR</th><th>overs</th><th>stumped</th>" +
            "<th>Wickets</th><th>Maiden</th><th>Econ</th><th>Catches</th><th>Bowled</th><th>MoM</th><th style='min-width: 80px;'>Total score</th></tr>";
        for (var i = 0; i < data.length; i++) {
            var insqd = data[i].SdSquad == "Y" ? "fa fa-check" : "fa fa-times";
            var sqdClr = data[i].SdSquad == "Y" ? "green" : "red";
                        
            var MomCls = data[i].SdMOM== "Y" ? "fa fa-check" : "fa fa-times";
            var MomClr = data[i].SdMOM== "Y" ? "green" : "red";
            

            tbl += "<tr><td>" + data[i].SdName + "</td></tr>";
            intbl += "<tr><td><i style='color:" + sqdClr + ";' class='" + insqd + "'></i></td><th>" + data[i].CVC + "</th><td>" + data[i].SdBatRun + "</td>" +
                "<td>" + data[i].SdFour + "</td><td>" + data[i].SdSix + "</td><td>" + data[i].SdStrikeRate + "</td><td>" + data[i].SdOver + "</td>" +
                "<td>" + data[i].SdStumped + "</td><td>" + data[i].SdWicket + "</td><td>" + data[i].SdMaiden + "</td><td>" + data[i].SdEcon + "</td>" +
                "<td>" + data[i].SdCatch + "</td><td>" + data[i].SdBowled + "</td><td><i style='color:" + MomClr + ";' class='" + MomCls + "'></i></td><td>"
                + data[i].totscore + "</td></tr>";
        }
        tbl += "</table>";
        intbl += "</table>";
        $("#leagues-popup #score-scroll").append(tbl);
        $("#intable div").append(intbl);
        $("#leagues-popup").fadeIn();
    }
}