﻿localStorage.setItem("LoggedIn", "Y");
var UsrInfoTxt = localStorage.getItem("UserInfo") || "";
if (UsrInfoTxt == "" || !UsrInfoTxt)
    location.href = "login.html";
var UsrInfo = JSON.parse(UsrInfoTxt);
var usrRowId = UsrInfo[0].SmileCode;
var usrPk = UsrInfo[0].HappyCode;

var GlobalXml = {};
GlobalXml.UsrPk = usrPk;
GlobalXml.UsrRowId = usrRowId;
GlobalXml.MatchID = '';

var matchPk = getLocalStorage("PlayNowMatchPk");
var matchID = getLocalStorage("PlayNowMatchID");
GlobalXml.appver = localStorage.getItem("appversion");
GlobalXml.MatchPk = matchPk;
GlobalXml.MatchID = matchID;
GlobalXml.PlayerID = '';
GlobalXml.PlayerPk = '';
GlobalXml.TmNo = window.TeamNo || 1;

$(document).ready(function () {
    fnGetPlayerList();
     var dt = getLocalStorage("PlayNowMatchDt");
    $("#matchtime").attr("date",dt);
    $("#matchtime").CountDown("", '<i class="fa fa-clock-o"></i>');    
});


var DIV_WIDTH = $(window).width() - 15;
var currentDiv = 0;
var maxDiv = 5;
var speed = 180;
var SwipePlayerType = "ALL";
var divs;

var swipeOptions = {
    triggerOnTouchEnd: true,
    swipeStatus: swipeStatus,
    allowPageScroll: "vertical",
    threshold: 75
};

$(function () {
    divs = $(".ALL");
    divs.swipe(swipeOptions);
});


/**
 * Catch each phase of the swipe.
 * move : we drag the div
 * cancel : we animate back to where we were
 * end : we animate to the next image
 */
function swipeStatus(event, phase, direction, distance) {
    //If we are moving before swipe, and we are going L or R in X mode, or U or D in Y mode then drag.
    if (phase == "move" && (direction == "up" || direction == "down")) {
        scrollDivs((DIV_WIDTH * currentDiv), duration);
        return;
    }

    if (phase == "move" && (direction == "left" || direction == "right")) {
        var duration = 0;

        if (direction == "left") {
            scrollDivs((DIV_WIDTH * currentDiv) + distance, duration);
        } else if (direction == "right") {
            scrollDivs((DIV_WIDTH * currentDiv) - distance, duration);
        }

    } else if (phase == "cancel") {
        scrollDivs(DIV_WIDTH * currentDiv, speed);
    } else if (phase == "end") {
        if (direction == "right") {
            previousDiv();
        } else if (direction == "left") {
            nextDiv();
        }
        scrollDivs(DIV_WIDTH * currentDiv, speed);
    }
}

function previousDiv() {
    SwipePlayerType = (SwipePlayerType == "ALL" || SwipePlayerType == "WK") ? "ALL" : SwipePlayerType == "BT" ? "WK" :
                SwipePlayerType == "AR" ? "BT" : SwipePlayerType == "BW" ? "AR" : SwipePlayerType == "OT" ? "BW" : "OT";
    $("#PlayerTab").find("[name='tab'][key]").removeClass("active");
    $("#PlayerTab").find("li").removeClass("active");
    $("#PlayerTab").find("[name='tab'][key='" + SwipePlayerType + "']").closest("li").click();
    return;    
}

function nextDiv() {
    SwipePlayerType = SwipePlayerType == "ALL" ? "WK" : SwipePlayerType == "WK" ? "BT" : SwipePlayerType == "BT" ? "AR" : SwipePlayerType == "AR" ? "BW"
        : SwipePlayerType == "BW" ? "OT" : "OT";
    $("#PlayerTab").find("[name='tab'][key]").removeClass("active");
    $("#PlayerTab").find("li").removeClass("active");
    $("#PlayerTab").find("[name='tab'][key='" + SwipePlayerType + "']").closest("li").click();
    return;
}

/*
 * Manually update the position of the divs on drag
 */
function scrollDivs(distance, duration) {
    divs.css("transition-duration", (duration / 1000).toFixed(1) + "s");

    //inverse the number we set in the css
    var value = (distance < 0 ? "" : "-") + Math.abs(distance).toString();
    divs.css("transform", "translate(" + value + "px,0)");
}

/************************************   SWIPE DIV  ***************************************************/



function fnChoosePlayers(chosen) {
    var errText = fnCheckConditions(chosen);

    if (errText != "") {        
        $(chosen).removeClass("active");
        $(chosen).find(".add-player").toggleClass("fa-check").toggleClass("fa-plus");
        $(chosen).find(".add-player").removeClass("active");
        fnAlert("warning", errText);
        return errText;
    }
    return "";
}

function fnCheckConditions(chosen) {
    var err = "";
    var selLen  = $(".play-div .player-box.active").length;

    if (selLen > 11)
        err = err != "" ? err : "You Have chosen 11 members.";
    
    if ($(".play-div .player-box.active[key='WK']").length > 1)
        err = err != "" ? err : "you can choose only one wicket keeper.";
    if ($(".play-div .player-box.active[key='BT']").length > 6)
        err = err != "" ? err : "Batsman limit exceeded.";
    if ($(".play-div .player-box.active[key='AR']").length > 4)
        err = err != "" ? err : "All rounder limit exceeded.";
        
    /*
    var Curcredit = 0;
    $(".play-div .player-box.active").each(function () {
        Curcredit = Curcredit + Number($(this).find(".creditPt").justtext());
    });
    var remain = 100;
    var finRemain = remain - Curcredit;
    if (finRemain < 0)
        err = err != "" ? err : "your Credit Limit Exceeded.";
    else if (err == "")
        $("#remaining-credits").text(finRemain);
        */
    if (err == "" && selLen <= 11)
        $("#selplayers-count").text($(".play-div .player-box.active").length);

    if (chosen == "FINAL") {        
        if ($(".play-div .player-box[key='WK']").length > 1 && $(".play-div .player-box.active[key='WK']").length == 0)
            err = err != "" ? err : "Choose atleast one Wicket Keeper.";        
        if ($(".play-div .player-box.active").length < 11)
            err = err != "" ? err : "Choose 11 members to save.";

        var Clen = $(".player-box .Captain.active").length;
        var VClen = $(".player-box .viceCaptain.active").length;
        if (VClen == 0 || Clen == 0)
            err = err != "" ? err : "Choose Captain/VC to save the team.";


    }

    return err;
}


function fnCheckConditions_V1(chosen) {
    var err = "";
    var selLen = $(".play-div .player-box.active").length;

    if (selLen > 11)
        err = err != "" ? err : "You Have chosen 11 members.";

    var tm1 = $(".TM1 .player-box.active").length;
    var tm2 = $(".TM2 .player-box.active").length;


    if ((tm1 > 6 && tm2 < 5) || (tm1 < 5 && tm2 > 6)) {
        var team = $(chosen).closest(".tab_content").hasClass("TM1") ? "TM1" : "TM2";
        var tmNm = $("[key='" + team + "']").justtext();
        err = "Love " + tmNm + " team? Keep Calm and choose players from other team. :-)";
    }

    /*
    if ($(".play-div .player-box.active[key='WK']").length > 1)
        err = err != "" ? err : "you can choose only one wicket keeper.";
    if ($(".play-div .player-box.active[key='BT']").length > 6)
        err = err != "" ? err : "Batsman limit exceeded.";
    if ($(".play-div .player-box.active[key='AR']").length > 4)
        err = err != "" ? err : "All rounder limit exceeded.";
    */

    /*
    var Curcredit = 0;
    $(".play-div .player-box.active").each(function () {
        Curcredit = Curcredit + Number($(this).find(".creditPt").justtext());
    });
    var remain = 100;
    var finRemain = remain - Curcredit;
    if (finRemain < 0)
        err = err != "" ? err : "your Credit Limit Exceeded.";
    else if (err == "")
        $("#remaining-credits").text(finRemain);
        */
    if (err == "" && selLen <= 11)
        $("#selplayers-count").text($(".play-div .player-box.active").length);

    if (chosen == "FINAL") {
        /*
        if ($(".play-div .player-box.active[key='WK']").length == 0)
            err = err != "" ? err : "Choose atleast one Wicket Keeper.";
        */
        if ($(".play-div .player-box.active").length < 11)
            err = err != "" ? err : "Choose 11 members to save.";
    }

    return err;
}


function fnGetPlayerList() {
    GlobalXml.TmNo = window.TeamNo || 1;
    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["PLAYERS_LIST", JSON.stringify(GlobalXml)] };
    fnCallWebService("PLAYERS_LIST", objProcData, fnPlayersResult, "MULTI", "");
}


function fnBuildplayersList_TM(team, data) {
    $(".TM1,.TM2").empty();
    if (team && team.length > 0) {
        
        if (team[0]) {
            $(".TM1").attr("teamID", team[0].teamName);
            $("[key=TM1]").text(team[0].teamName);
        } else {
            $("[key=TM1]").text("NA");
            $(".TM1").append("<div class='clear'></div><p style='text-align: center;'>Come back after the team is ready!</p>");
        }
        if (team[1]) {
            $(".TM2").attr("teamID", team[1].teamName);
            $("[key=TM2]").text(team[1].teamName);
        } else {
            $("[key=TM2]").text("NA");
            $(".TM2").append("<div class='clear'></div><p style='text-align: center;'>Come back after the team is ready!</p>");
        }
    }

    if (!data || data.length == 0) {
        $(".TM1,.TM2").append("<div class='clear'></div><p style='text-align: center;'>Come back after the team is ready!</p>");
        return;
    }
    window.isChosenAlrdy = false;
    for (var i = 0; i < data.length; i++) {        
        var role = data[i].PlayerRole || "OT";
        var icon = 'fa fa-hand-o-right fa-2x';  //icon-bat , icon-bwl,icon-ar , icon-wk , icon-
        icon = role == "BT" ? "icon-bat" : role == "BW" ? "icon-bwl" : role == "AR" ? "icon-ar" : role == "WK" ? "icon-wk" : "fa fa-hand-o-right fa-2x";
        var isactive = data[i].Chosen == "Y" ? "fa-check" : "fa-plus";
        var isactiveDiv = data[i].Chosen == "Y" ? "active" : "";
        if (isactiveDiv == "active")
        {
            window.isChosenAlrdy = true;
        }

        var plyr = '<div playerRole="' + role + '" PLteamID="' + data[i].teamName + '" class="player-box box-div ' + isactiveDiv + '" playerID="' + data[i].playerID + '" >' +
                    '   <div class="left"> <i class="' + icon + '"></i>' +
                    '      <div class="div-inline">' +
                    '         <p class="PlayerName">' + data[i].name + '</p>' +
                    '           <p>' + data[i].team + '</p>' +
                    '        </div>' +
                    '        </div>' +
                    '         <div class="right"><p>' +
                    //'            <p class="creditPt">' + data[i].credit + '<span> Pts</span></p>' +
                    '       <i class="fa-letter-c Captain"></i>' +
                    '       <i class="fa-letter-vc viceCaptain"></i>' +
                    '       <i class="add-player fa ' + isactive + '"></i>' +
                    //'            <p class="creditPt">&nbsp;<span></span></p>' +
                    //' <p>' + data[i].totpoints + ' Pts </p>' +                    
                    '</p></div>' +
                    ' <div class="clear"></div>' +
                    '</div>';
        $(".tab_content[teamID='" + data[i].teamName + "']").append(plyr);
        //$(".ALL").append(plyr);
    }
    
    if (isChosenAlrdy)
        $("#selplayers-count").text("11");
    
    $(".play-div .right i.add-player").click(function (e) {
        $(this).toggleClass("fa-check").toggleClass("fa-plus");
        $(this).closest(".player-box").toggleClass("active");
        $(this).closest(".player-box").find(".Captain").removeClass("active");
        $(this).closest(".player-box").find(".viceCaptain").removeClass("active");
        fnChoosePlayers($(this).closest(".player-box"));
    });

    $("#PlayerTab li").click(function (e) {
        $("#PlayerTab").find("[name='tab'][key]").removeClass("active");
        $("#PlayerTab").find("li").removeClass("active");
        $(this).toggleClass("active");
        $(this).find("a").toggleClass("active");
        var key = $(this).find("a").attr("key");
        $(".tab_content").hide();
        $("." + key).show();

        //$(".ALL .player-box").hide();
        //if (key == "ALL")
        //    $(".ALL .player-box").show();
        //else
        //    $(".ALL .player-box[key='" + key + "']").show();
    });

    //$(".play-div .box-div").click(function (e) {
    //    $(this).toggleClass("active");
    //    fnChoosePlayers(this);
    //});

}



function fnBuildplayersList(team, data) {

    if (team && team.length > 0) {

        if (team[0]) {
            $(".TM1").attr("teamID", team[0].teamName);
            $("[key=TM1]").text(team[0].teamName);
        } else {
            $("[key=TM1]").text("NA");
        }
        if (team[1]) {
            $(".TM2").attr("teamID", team[1].teamName);
            $("[key=TM2]").text(team[1].teamName);
        } else {
            $("[key=TM2]").text("NA");
        }
    }


    $(".ALL").empty();
    if (!data || data.length == 0) {
        $(".ALL").append("<div class='clear'></div><p style='text-align: center;'>Come back after the team is ready!</p>");
        return;
    }
    window.isChosenAlrdy = false;
    for (var i = 0; i < data.length; i++) {
        var role = data[i].PlayerRole || "OT";
        var icon = 'fa fa-hand-o-right fa-2x';  //icon-bat , icon-bwl,icon-ar , icon-wk , icon-
        icon = role == "BT" ? "icon-bat" : role == "BW" ? "icon-bwl" : role == "AR" ? "icon-ar" : role == "WK" ? "icon-wk" : "fa fa-hand-o-right fa-2x";
        var isactive = (window.AddOrEdit != "A" && data[i].Chosen == "Y") ? "fa-check" : "fa-plus";
        var isactiveDiv = (window.AddOrEdit != "A" && data[i].Chosen == "Y") ? "active" : "";
        if (isactiveDiv == "active") {
            window.isChosenAlrdy = true;
        }

        var cptn = (window.AddOrEdit != "A" && data[i].captain == "Y") ? "active" : "";
        var vicecptn = (window.AddOrEdit != "A" && data[i].vicecaptain == "Y") ? "active" : "";

        var plyr = '<div key="' + role + '" PLteamID="' + data[i].teamName + '" class="player-box box-div ' + isactiveDiv + '" playerID="' + data[i].playerID + '" >' +
                    '   <div class="left"> <i class="' + icon + '"></i>' +
                    '      <div class="div-inline">' +
                    '         <p class="PlayerName">' + data[i].name + '</p>' +
                    '           <p>' + data[i].team + '</p>' +
                    '        </div>' +
                    '        </div>' +
                    '         <div class="right"><p>' +
                    //'            <p class="creditPt">' + data[i].credit + '<span> Pts</span></p>' +
                    '       <i class="fa-letter-c Captain ' + cptn + '"></i>' +
                    '       <i class="fa-letter-vc viceCaptain ' + vicecptn + '"></i>' +
                    '       <i class="add-player fa ' + isactive + '"></i>' +
                    //'            <p class="creditPt">&nbsp;<span></span></p>' +
                    //' <p>' + data[i].totpoints + ' Pts </p>' +                    
                    '</p></div>' +
                    ' <div class="clear"></div>' +
                    '</div>';
        $(".ALL").append(plyr);
        $(".ALL").append("<div class='clear'></div><p id='PlErr' style='display:none;text-align: center;'>We can't list players in  this category.</p>");
    }

    if (isChosenAlrdy)
        $("#selplayers-count").text("11");

    $(".play-div .right i.add-player").click(function (e) {
        $(this).toggleClass("fa-check").toggleClass("fa-plus");
        $(this).closest(".player-box").toggleClass("active");
        $(this).closest(".player-box").find(".Captain").removeClass("active");
        $(this).closest(".player-box").find(".viceCaptain").removeClass("active");
        fnChoosePlayers($(this).closest(".player-box"));
    });

    $(".play-div .right i.Captain,.play-div .right i.viceCaptain").click(function (e) {
        $(this).toggleClass("active");
        var err = fnCheckCaptain(this);
        if (err != "") {
            $(this).toggleClass("active");
            fnAlert("warning", err);
        }
    });


    $("#PlayerTab li").click(function (e) {
        $("#PlayerTab li").removeClass("active");
        $("#PlayerTab li a").removeClass("active");
        $(this).toggleClass("active");
        $(this).find("a").toggleClass("active");
        var key = $(this).find("a").attr("key");
        $("#PlErr").hide();
        $(".ALL .player-box").hide();
        if (key == "ALL")
        { $(".ALL .player-box").show(); $("#PlErr").hide(); }
        else {
            $(".ALL .player-box[key='" + key + "']").show();
            $("#PlErr").hide();
        }

        if ($(".ALL .player-box[key='" + key + "']").length == 0 && key != "ALL") {
            $("#PlErr").show();
        }
        
        SwipePlayerType = key;
    });

    //$(".play-div .box-div").click(function (e) {
    //    $(this).toggleClass("active");
    //    fnChoosePlayers(this);
    //});

}




function fnPlayersResult(serviceFor, Obj, Param1, Param2) {
    if (!Obj.status)
        return;

    if (serviceFor == "PLAYERS_LIST") {
        var data = JSON.parse(Obj.result_1);
        var data1 = JSON.parse(Obj.result_2);
        fnBuildplayersList(data,data1);
    }
    if (serviceFor == "SAVE_PLAYERS_LIST") {

        var data = JSON.parse(Obj.result);
        if (data && data.length > 0)
        {
            if (data[0].ERROR && data[0].ERROR != "")
                fnAlert("error", data[0].ERROR);
            else
            {
                window.isChosenAlrdy = true;                
                //fnAlert("success", "successfully saved");                
                fnJoinLeague();
            }

        }
        else
            fnAlert("error", "Not saved");

    }
}

function fnSaveTeam() {

    var seconds = Number($("#matchtime").attr("seconds"));
    if (seconds < 3600) {
        fnAlert("warning", "you can change/choose the team only before an hour of match starting time.</br>Press Ok to join league.", "fnJoinLeague",true);
        return;
    }
    var err = fnCheckConditions("FINAL")    

    if (err != "") {
        fnAlert("warning", err);
        return;
    }
    var playersObj = [];
    $(".play-div .player-box.active").each(function () {
        var obj = {};
        obj.PlAPI_ID = $(this).attr("playerID"), obj.PlNm = $(this).find(".PlayerName").justtext(), obj.PlImg = "";
        obj.Captain = $(this).find(".Captain").hasClass("active") ? "Y" : "N";
        obj.ViceCaptain = $(this).find(".viceCaptain").hasClass("active") ? "Y" : "N";
        playersObj.push(obj);
    });    

    var DetailJson = {
        SelectPlayer: JSON.stringify(playersObj)
    };


    var objProcData = { ProcedureName: "PrcMatchesPlayers", PrcParams: ["SAVE_PLAYERS_LIST", JSON.stringify(GlobalXml), JSON.stringify(DetailJson)] };
    fnCallWebService("SAVE_PLAYERS_LIST", objProcData, fnPlayersResult, "MULTI", "");
}


function fnJoinLeague() {
    if (!window.isChosenAlrdy) {
        fnAlert("warning", "Save team and join league");
        return;
    }

    var tm1 = $('[key="TM1"]').justtext();
    var tm2 = $('[key="TM2"]').justtext();
    setLocalStorage("tm1name", tm1);
    setLocalStorage("tm2name", tm2);
    LoadHtmlDiv("league.html");
    //fnAlert("success", "Come after the leagues are ready. Can't wait? Join free league!!!")
}

function fnCheckCaptain(elem) {
    var Ccls = $(elem).hasClass("Captain");
    var VCcls = $(elem).hasClass("viceCaptain");
    var Err = "";
    var plBox = $(elem).closest(".player-box");

    if (!plBox.hasClass("active"))
        Err += "include in team and select as Captain/VC. <br>";

    var Clen = $(".player-box .Captain.active").length;
    var VClen = $(".player-box .viceCaptain.active").length;
    if (Ccls && Clen > 1)
        Err += "You can choose only one captain.<br>";
    if (VCcls && VClen > 1)
        Err += "You can choose only one vice captain.<br>";


    var cln = $(plBox).find(".Captain.active").length;
    var vcln = $(plBox).find(".viceCaptain.active").length;
    if (vcln > 0 && cln > 0 && Err == "")
        Err += "Captain and Vice captain cannot be the same player.<br>";

    return Err;

}